Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QColorGroup Class Reference

    #include <QColorGroup>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

Inherits QPalette.

- List of all members, including inherited members
- Compatibility members

### Public Functions

- QColorGroup ()
- QColorGroup ( const QBrush & foreground, const QBrush & button, const QBrush & light, const QBrush & dark, const QBrush & mid, const QBrush & text, const QBrush & bright_text, const QBrush & base, const QBrush & background )
- QColorGroup ( const QColor & foreground, const QColor & background, const QColor & light, const QColor & dark, const QColor & mid, const QColor & text, const QColor & base )
- QColorGroup ( const QColorGroup & cg )
- QColorGroup ( const QPalette & pal )
- bool operator!= ( const QColorGroup & other ) const
- bool operator== ( const QColorGroup & other ) const

- 34 public functions inherited from QPalette

## Detailed Description

## Member Function Documentation

### QColorGroup::QColorGroup ()

### QColorGroup::QColorGroup ( const QBrush & foreground, const QBrush & button, const QBrush & light, const QBrush & dark, const QBrush & mid, const QBrush & text, const QBrush & bright_text, const QBrush & base, const QBrush & background )

### QColorGroup::QColorGroup ( const QColor & foreground, const QColor & background, const QColor & light, const QColor & dark, const QColor & mid, const QColor & text, const QColor & base )

### QColorGroup::QColorGroup ( const QColorGroup & cg )

### QColorGroup::QColorGroup ( const QPalette & pal )

### bool QColorGroup::operator!= ( const QColorGroup & other ) const

### bool QColorGroup::operator== ( const QColorGroup & other ) const